<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_tags_similar
 * @author  	web-eau.net
 * @copyright   (C) 2013 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;

use Joomla\CMS\Router\Route;

if (!$list)
{
	return;
}

?>

<div class="mx-auto text-center py-5">
  <h2 class="display-4">
    Similar tags
  </h2>
</div>

<div class="tagssimilar<?php echo $moduleclass_sfx; ?>">
	<?php if ($list) : ?>
	<div class="row">
		<?php foreach ($list as $i => $item) : ?>
		<div class="col my-1">
          <div class="border bg-light p-3 h-100">
			<?php if (($item->type_alias === 'com_users.category') || ($item->type_alias === 'com_banners.category')) : ?>
			<?php if (!empty($item->core_title)) : ?>
			<?php echo htmlspecialchars($item->core_title, ENT_COMPAT, 'UTF-8'); ?>
			<?php endif; ?>
			<?php else : ?>

			<h5><a href="<?php echo JRoute::_($item->link); ?>" class="text-decoration-none">
				<?php if (!empty($item->core_title)) : ?>
				<?php echo htmlspecialchars($item->core_title, ENT_COMPAT, 'UTF-8'); ?>
				<?php endif; ?>
			</a></h5>
          
			<?php endif; ?>
		</div>
      </div>
		<?php endforeach; ?>
	</div>
	<?php else : ?>
    <div class="alert alert-info" role="alert">
		<i class="fa fa-info-circle"></i> <span><?php echo JText::_('MOD_TAGS_SIMILAR_NO_MATCHING_TAGS'); ?></span>
	</div>
	<?php endif; ?>
</div>